import * as types from "../constants";
import * as actions from "../actions";

describe("Test zalo actions", () => {
  test.concurrent("has a type of ZALO_TEMPLATE_INFO_REQUEST action", () => {
    const payload = {};
    const expected = {
      type: types.ZALO_TEMPLATE_INFO_REQUEST,
      payload,
    };
    expect(actions.getTemplateInfoById(payload)).toEqual(expected);
  });

  test.concurrent("has a type of ZALO_TEMPLATE_PREVIEW_RESET action", () => {
    const expected = {
      type: types.ZALO_TEMPLATE_PREVIEW_RESET,
    };
    expect(actions.resetTemplatePreviewData()).toEqual(expected);
  });
  test.concurrent("has a type of ZALO_TEMPLATE_INFO_RESET action", () => {
    const expected = {
      type: types.ZALO_TEMPLATE_INFO_RESET,
    };
    expect(actions.resetTemplateInfoData()).toEqual(expected);
  });
});
